## net.sourceforge.pmd.ast
Interface JavaNode

All Superinterfaces:
  Node

All Known Implementing Classes:
  SimpleJavaNode

public interface JavaNode
extends Node

Method Summary
`java.lang.Object` `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent`

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

Copyright © 2002-2006 InfoEther. All Rights Reserved.